EDIT - feature request #8972

integrate kml layers into map viewer
04/22/2020 05:09 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.15

Severity: normal

Description

use the output from #6113 in the data portal

e extend openlayers_map.js and map.inc to support kml layers provided by a web service DONE
e zoom the map to the data bounds of the layer (see also #4257) DONE
e suppress the map in name pages and registration pages if there are no locations to display: ... moved to #8993
o http://test.e-taxonomy.eu/dataportal/preview/phycobank/cdm_dataportal/registration/http%253A%252F %252Fphycobank.o
rg%252F1297

o http:/test.e-taxonomy.eu/dataportal/preview/phycobank/cdm_dataportal/name/2938fb78-86dc-4248-8c02-323cee5b613c/n
ull/null/

Examples:

e http://test.e-taxonomy.eu/dataportal/preview/algaterra-new/cdm_dataportal/taxon/3c7a6f33-b6c3-436¢c-ad82-8878ca22df6e/spe
cimens

e http://test.e-taxonomy.eu/dataportal/preview/phycobank/cdm_dataportal/name/8ad8bc6d-b413-4af1-8876-tb2db761235f/null/nul
I

. _http://edit.test/d?/phycobank/cdm_dataportal/registration/http"/0253A%252F%252thycobank.org%252F1 00628
¢ http://edit.test/d7/phycobank/cdm_dataportal/name/8ad8bc6d-b413-4af1-8876-tb2db761235f/null/null

e http:/edit.test/d7/phycobank/cdm_dataportal/name/f5048e6e-303a-41f6-933b-84c678ee46d4/null/null/ (this has a field unit with
two associated derivates!)

Related issues:

Related to EDIT - feature request #6113: webservice to expose FieldUnits rela... Closed
Related to EDIT - feature request #4257: specimen map should zoom to area of ... Closed
Related to EDIT - bug #9097: specimen coordinate links in maps to geohack ser... Closed
Related to EDIT - bug #9099: placemark icon in kml map not clickable Closed
Copied to EDIT - feature request #8993: suppress the map in name pages and re... New

Associated revisions

Revision c1fc969a - 04/22/2020 05:12 PM - Andreas Kohlbecker

ref #8972, ref #8855, ref #4488 using kml response to show specimen points in maps with data in balloon popups with links

Revision 2871509d - 04/28/2020 10:22 AM - Andreas Kohlbecker
ref #8972, ref #8855, ref #4488 modified representation of field units in balloons

Revision 7844642a - 04/29/2020 01:53 PM - Andreas Kohlbecker

ref #8972 switching type_designations_maps to kml

Revision 64{6df71 - 04/29/2020 03:23 PM - Andreas Kohlbecker
ref #4257, ref #8972 zooming map to kml layer feature bounds

Revision 10811865 - 04/29/2020 03:53 PM - Andreas Kohlbecker

ref #4257, ref #8972 setting zoomToClosestLevel = false to prevent from hidden features in KML layers

Revision 43c5bf8b - 05/04/2020 10:20 AM - Andreas Kohlbecker

ref #8972 refactoring: moving map compose method into maps.inc and simplifying code
https://dev.e-taxonomy.eu/redmine/issues/6113
https://dev.e-taxonomy.eu/redmine/issues/4257
https://dev.e-taxonomy.eu/redmine/issues/8993
http://test.e-taxonomy.eu/dataportal/preview/phycobank/cdm_dataportal/registration/http%253A%252F%252Fphycobank.org%252F1297
http://test.e-taxonomy.eu/dataportal/preview/phycobank/cdm_dataportal/registration/http%253A%252F%252Fphycobank.org%252F1297
http://test.e-taxonomy.eu/dataportal/preview/phycobank/cdm_dataportal/name/2938fb78-86dc-4248-8c02-323cee5b613c/null/null/
http://test.e-taxonomy.eu/dataportal/preview/phycobank/cdm_dataportal/name/2938fb78-86dc-4248-8c02-323cee5b613c/null/null/
http://test.e-taxonomy.eu/dataportal/preview/algaterra-new/cdm_dataportal/taxon/3c7a6f33-b6c3-436c-ad82-8878ca22df6e/specimens
http://test.e-taxonomy.eu/dataportal/preview/algaterra-new/cdm_dataportal/taxon/3c7a6f33-b6c3-436c-ad82-8878ca22df6e/specimens
http://test.e-taxonomy.eu/dataportal/preview/phycobank/cdm_dataportal/name/8ad8bc6d-b413-4af1-8876-fb2db761235f/null/null
http://test.e-taxonomy.eu/dataportal/preview/phycobank/cdm_dataportal/name/8ad8bc6d-b413-4af1-8876-fb2db761235f/null/null
http://edit.test/d7/phycobank/cdm_dataportal/registration/http%253A%252F%252Fphycobank.org%252F100628
http://edit.test/d7/phycobank/cdm_dataportal/name/8ad8bc6d-b413-4af1-8876-fb2db761235f/null/null
http://edit.test/d7/phycobank/cdm_dataportal/name/f5048e6e-303a-41f6-933b-84c678ee46d4/null/null/

History

#1 - 04/22/2020 05:09 PM - Andreas Kohlbecker

- Related to feature request #6113: webservice to expose FieldUnits related to a Taxon or TaxonName as KML and/or GML added

#2 - 04/22/2020 05:17 PM - Andreas Kohlbecker
- Status changed from New to Closed

- % Done changed from 0 to 50

#3 - 04/27/2020 08:57 AM - Andreas Kohlbecker

- Description updated

#4 - 04/29/2020 12:00 PM - Andreas Kohlbecker
- Description updated

- % Done changed from 50 to 100

#5 - 04/29/2020 03:16 PM - Andreas Kohlbecker
- Status changed from Closed to In Progress

- % Done changed from 100 to 60

#6 - 04/29/2020 03:23 PM - Andreas Kohlbecker

- Related to feature request #4257: specimen map should zoom to area of distribution added

#7 - 04/29/2020 03:32 PM - Andreas Kohlbecker

- Description updated

#8 - 04/29/2020 03:54 PM - Andreas Kohlbecker

- Description updated

#9 - 04/29/2020 03:57 PM - Andreas Kohlbecker

- Status changed from In Progress to Resolved

this is complete now. BUT it was necessary to set zoomToClosestLevel = false
Which as been introduced for #5683 with value TRUE,
but can cause feature to tbe hidden in KML layers.

Make sure that there are no probelms with the maps and the loading indicator in the flora of cuba for which this setting has been introduced originally.

#10 - 05/04/2020 09:05 AM - Andreas Kohlbecker

- Description updated

#11 - 05/04/2020 10:10 AM - Andreas Kohlbecker

- Description updated

#12 - 05/04/2020 10:26 AM - Andreas Kohlbecker

- Copied to feature request #8993: suppress the map in name pages and registration pages if there are no locations to display: added

#13 - 05/04/2020 11:48 AM - Andreas Kohlbecker

- Description updated

- Status changed from Resolved to Closed

- % Done changed from 60 to 100

no problems found in the flora cuba which could be caused by the change to the zoomToClosestLevel = false setting.
So we can consider this ticket as fully solved.

#14 - 06/25/2020 11:36 AM - Andreas Kohlbecker

- Related to bug #9097: specimen coordinate links in maps to geohack service broken added
https://dev.e-taxonomy.eu/redmine/issues/5683

#15 - 07/02/2020 10:34 AM - Andreas Kohlbecker
- Related to bug #9099: placemark icon in kml map not clickable added
